For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get access
Getting Started Key Concepts Integration Types Core Components Embed Hosted API API Reference
  • API Reference
      • GETList all employers
      • POSTCreate an employer
      • GETRetrieve an employer
      • PUTUpdate an employer
      • POSTOffboard an employer
    • Contribution Reports
    • Events and Webhooks
    • API Errors
Get access
LogoLogo
API ReferenceEmployers

Offboard an employer

POST
/employers/:employer_id/offboard
POST
/employers/:employer_id/offboard
$curl -X POST https://test.api.kota.io/employers/er_3b1333d87d9d4fd6ad83ba7f6b0e951a/offboard \
> -H "Authorization: Bearer <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "id": "er_3b1333d87d9d4fd6ad83ba7f6b0e951a",
3 "legal_name": "Acme Corporation Ltd",
4 "legal_address": {
5 "line1": "123 Innovation Drive",
6 "city": "San Francisco",
7 "postal_code": "94107",
8 "country_code": "us",
9 "state": "CA"
10 },
11 "contact": {
12 "name": "Jane Doe",
13 "email": "jane.doe@acmecorp.com"
14 },
15 "platform_id": "pt_3b1333d87d9d4fd6ad83ba7f6b0e951a",
16 "status": "offboarding",
17 "registration_number": "12345678",
18 "offboard_on": "2024-12-01T00:00:00Z",
19 "earliest_benefits_start_date": "2024-12-01",
20 "metadata": {
21 "department": "Human Resources",
22 "offboard_reason": "Company restructuring"
23 },
24 "object": "employer"
25}

Immediately offboard an employer. The employer’s scheme will be terminated and all employees associated with the employer will be offboarded and have their insurance terminated. Employee offboarding cannot be cancelled if triggered via this call.

Previous

Update an employer

Next

List all employees

Built with

Authentication

AuthorizationBearer
Authorization header using the Bearer scheme

Path parameters

employer_idstringRequiredformat: "er_.+"

Headers

Idempotency-KeystringOptional

Unique key to ensure idempotent requests. If the same key is used for multiple identical & successful requests, the same response will be returned. Read more here

Response

OK
idstringformat: "er_.+"
legal_namestring
legal_addressobject
contactobject
platform_idstringformat: "pt_.+"
statusenum
Allowed values:
registration_numberstring or null
offboard_ondatetime or null
earliest_benefits_start_datedate or null
metadatamap from strings to strings or null

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Maximum 25 keys. Individual keys can be up to 40 characters and values up to 500 characters.

objectstringRead-only
The object type

Errors

400
Bad Request Error